# Class CheckpointException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jdk.crac.CheckpointException

All Implemented Interfaces:
  `Serializable`

public final class CheckpointException extends Exception
This exception works as an aggregate for all errors found during checkpoint; these are recorded as suppressed exceptions. The exception does not have any own message, cause nor collects stack trace.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CheckpointException()`
Creates a `CheckpointException`.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CheckpointException

public CheckpointException()
Creates a `CheckpointException`.